## org.eclipse.emf.codegen.util
Class GIFEmitter.ColorInformation

    java.lang.Object
      org.eclipse.emf.codegen.util.GIFEmitter.ColorInformation

Enclosing class:
  GIFEmitter

    protected static class GIFEmitter.ColorInformation

extends java.lang.Object

Field Summary
`int` `blue`
`int` `change`
`protected static java.util.List<GIFEmitter.ColorInformation>` `entries`
`double[]` `factor`
`int` `green`
`protected static GIFEmitter.ColorInformation` `instance`
`boolean` `rainbow`
`int` `red`
`int` `which`

Constructor Summary
`protected` `GIFEmitter.ColorInformation()`

Method Summary
`protected void` `fixFactor()`
`protected void` `generateColor()`
`static GIFEmitter.ColorInformation` `getColor(int index)`
`byte` `scale(int value, double factor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected static GIFEmitter.ColorInformation instance

### entries

    protected static java.util.List<GIFEmitter.ColorInformation> entries

### red

    public int red

### green

    public int green

### blue

    public int blue

### which

    public int which

### change

    public int change

### factor

    public double[] factor

### rainbow

    public boolean rainbow

Constructor Detail

### GIFEmitter.ColorInformation

    protected GIFEmitter.ColorInformation()

Method Detail

### getColor

    public static GIFEmitter.ColorInformation getColor(int index)

### scale

    public byte scale(int value,
                      double factor)

### generateColor

    protected void generateColor()

### fixFactor

    protected void fixFactor()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.